Skip to main content
POST
/
api
/
m1
/
abha
/
aadhar-number
/
login
/
verify-otp
Verify OTP
curl --request POST \
  --url https://abdm.dev.unimetacare.com/api/m1/abha/aadhar-number/login/verify-otp \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "txnId": "<string>",
  "otpValue": "<string>",
  "mobile": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "data": {
    "txnId": "<string>",
    "authResult": "<string>",
    "token": "<string>",
    "expiresIn": 123,
    "refreshToken": "<string>",
    "refreshExpiresIn": 123,
    "accounts": [
      {
        "ABHANumber": "<string>",
        "preferredAbhaAddress": "<string>",
        "name": "<string>",
        "gender": "<string>",
        "dob": "<string>",
        "status": "<string>",
        "profilePhoto": "<string>",
        "kycVerified": true,
        "mobileVerified": true
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

JWT token obtained from /api/m1/abha/token

Body

application/json
txnId
string
required
otpValue
string
required

6-digit OTP

Example:

"<string>"

mobile
string
required

10-digit mobile number

Example:

"<string>"

Response

OTP verified. Returns tokens and accounts.

success
boolean
message
string
data
object